
package polyj.lang;

public final class FloatWrap extends Primitive {
  public static final Object Default = (Object) new FloatWrap(0.0f);
  public float value;

  public float Unwrap()
  { return value; }
   
  public FloatWrap(float i)
  { value = i; }
  public FloatWrap() {}

  public static Object Cast(Object o) {
    Primitive p = (Primitive) o;
    return (Object) new FloatWrap((float) p.doubleValue());
  }

  public String toString()
  { return String.valueOf(value); }
  public int hashCode()
  { return Float.floatToIntBits(value); }

  public long longValue()
  { return (long) value; }
  public double doubleValue()
  { return value; }

  public int compareTo(FloatWrap f)
  { return value == f.value ? 0 : value > f.value ? 1 : -1; }
}
