// Copyright (c) 1995  David Engberg  All rights reserved
// $Id: UnicodeInstantiations.C,v 1.4 1998/07/30 16:44:54 nickm Exp $

#include "config.h"
#ifdef OLDGCC
#include "find_leaks.h"

// 16-bit character string instantiations
#include <deque>
#include <algorithm>

#include "unicode_string.h"
#ifndef NEED_BASTRING_CC
#include <std/bastring.cc>
#endif
#include "instantiation_macros.h"

#define USREP __bsrep<unicode_char, string_char_traits<unicode_char> >
#define USTR basic_string <unicode_char, string_char_traits <unicode_char> >
template class USREP;
template class USTR;
USREP USTR::nilRep = { 0, 0, 1 };
template USTR operator+ (const USTR&, const USTR&);
template bool operator==(const USTR&, const USTR&);

DECL_DEQUE(string);
DECL_DEQUE(unicode_string);
typedef deque<unicode_string> unicode_string_deque;
DECL_DEQUE(unicode_string_deque)

template deque<string>::const_iterator
  find(deque<string>::const_iterator, deque<string>::const_iterator,
       const string&);

#endif
